Package com.mockobjects.dynamic

# Class C

java.lang.Object
com.mockobjects.dynamic.C

public abstract class C extends Object
Convenient factory functions and constants for building predicates.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ConstraintMatcher`
`ANY_ARGS`
`static final IsAnything`
`IS_ANYTHING`
`static final Constraint`
`IS_FALSE`
`static final Constraint`
`IS_NOT_NULL`
`static final Constraint`
`IS_NOT_ZERO`
`static final IsNull`
`IS_NULL`
`static final Constraint`
`IS_TRUE`
`static final Constraint`
`IS_ZERO`
`static final ConstraintMatcher`
`NO_ARGS`

## Constructor Summary

Constructors
Constructor
Description
`C()`

## Method Summary

Modifier and Type
Method
Description
`static Constraint`
`and(Constraint p1, Constraint p2)`
`static ConstraintMatcher`
`anyArgs(int argCount)`
`static ConstraintMatcher`
`args()`
`static ConstraintMatcher`
`args(Constraint p)`
`static ConstraintMatcher`
`args(Constraint p1, Constraint p2)`
`static ConstraintMatcher`
`args(Constraint p1, Constraint p2, Constraint p3)`
`static Constraint`
`eq(double d)`
`static Constraint`
`eq(int n)`
`static Constraint`
`eq(long l)`
`static Constraint`
`eq(Object o)`
`static ConstraintMatcher`
`eq(Object arg0, Object arg1)`
`static ConstraintMatcher`
`eq(Object arg0, Object arg1, Object arg2)`
`static Constraint`
`gt(char c)`
`static Constraint`
`gt(double d)`
`static Constraint`
`gt(int n)`
`static Constraint`
`gt(long l)`
`static Constraint`
`isA(Class c)`
`static Constraint`
`lt(char c)`
`static Constraint`
`lt(double d)`
`static Constraint`
`lt(int n)`
`static Constraint`
`lt(long l)`
`static Constraint`
`not(Constraint p)`
`static Constraint`
`or(Constraint p1, Constraint p2)`
`static Constraint`
`same(Object o)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IS_ANYTHING

public static final IsAnything IS_ANYTHING

### IS_NULL

public static final IsNull IS_NULL

### IS_NOT_NULL

public static final Constraint IS_NOT_NULL

### IS_TRUE

public static final Constraint IS_TRUE

### IS_FALSE

public static final Constraint IS_FALSE

### IS_ZERO

public static final Constraint IS_ZERO

### IS_NOT_ZERO

public static final Constraint IS_NOT_ZERO

### NO_ARGS

public static final ConstraintMatcher NO_ARGS

### ANY_ARGS

public static final ConstraintMatcher ANY_ARGS

## Constructor Details

### C

public C()

## Method Details

### same

public static Constraint same(Object o)

### eq

public static Constraint eq(Object o)

### eq

public static ConstraintMatcher eq(Object arg0, Object arg1)

### eq

public static ConstraintMatcher eq(Object arg0, Object arg1, Object arg2)

### eq

public static Constraint eq(int n)

### eq

public static Constraint eq(long l)

### eq

public static Constraint eq(double d)

### gt

public static Constraint gt(int n)

### gt

public static Constraint gt(long l)

### gt

public static Constraint gt(double d)

### gt

public static Constraint gt(char c)

### lt

public static Constraint lt(int n)

### lt

public static Constraint lt(long l)

### lt

public static Constraint lt(double d)

### lt

public static Constraint lt(char c)

### not

public static Constraint not(Constraint p)

### and

public static Constraint and(Constraint p1, Constraint p2)

### or

public static Constraint or(Constraint p1, Constraint p2)

### isA

public static Constraint isA(Class c)

### args

public static ConstraintMatcher args()

### args

public static ConstraintMatcher args(Constraint p)

### args

public static ConstraintMatcher args(Constraint p1, Constraint p2)

### args

public static ConstraintMatcher args(Constraint p1, Constraint p2, Constraint p3)

### anyArgs

public static ConstraintMatcher anyArgs(int argCount)